%bcond_without check

%global goipath         github.com/google/pprof
%global commit          c50bf4fe530358fa651598413f786f4367e26268

%gometa

%global common_description %{expand:
Pprof is a tool for visualization and analysis of profiling data.

Pprof reads a collection of profiling samples in profile.proto format and
generates reports to visualize and help analyze the data. It can generate both
text and graphical reports (through the use of the dot visualization package).}

%global golicenses      LICENSE LICENSE-*
%global godocs          doc AUTHORS CONTRIBUTING.md CONTRIBUTORS README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Tool for visualization and analysis of profiling data

License:        BSD and ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/chzyer/readline)
BuildRequires:  golang(github.com/ianlancetaylor/demangle)

%description
%{common_description}

%gopkg

%prep
%goprep
mv third_party/d3/LICENSE LICENSE-d3
mv third_party/d3flamegraph/LICENSE LICENSE-d3flamegraph
mv third_party/svgpan/LICENSE LICENSE-svgpan

%build
%gobuild -o %{gobuilddir}/bin/pprof %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d internal/binutils -d internal/report
%endif

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-1
- initial build
